aboutsummaryrefslogtreecommitdiff
path: root/debian/prerm.ivy-java
diff options
context:
space:
mode:
Diffstat (limited to 'debian/prerm.ivy-java')
-rw-r--r--debian/prerm.ivy-java20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/prerm.ivy-java b/debian/prerm.ivy-java
new file mode 100644
index 0000000..8927c6d
--- /dev/null
+++ b/debian/prerm.ivy-java
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+package=ivy-java
+docs="ivy-java"
+
+# FHS transition
+if [ -L /usr/doc/$package ]; then
+ rm -f /usr/doc/$package
+fi
+
+if [ "$1" = remove -o "$1" = upgrade ]; then
+ if command -v install-docs >/dev/null 2>&1; then
+ for doc in $docs
+ do
+ install-docs -r $doc
+ done
+ fi
+fi